> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api.alsona.com/llms.txt.
> For full documentation content, see https://api.alsona.com/llms-full.txt.

# Create integration

POST https://alsona.com/rest/accounts/{account_id}/integrations
Content-Type: application/json

Create an integration.

**Request body fields:**
- `integration_id` (string, required) - e.g. `hubspot`, `salesforce`.
- `account_id` (string, required) - Account to associate the integration with.
- `config` (object, optional) - Provider-specific configuration key/value pairs.

Reference: https://api.alsona.com/api-reference/integrations/create-integration

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /rest/accounts/{account_id}/integrations:
    post:
      operationId: create-integration
      summary: Create integration
      description: >-
        Create an integration.


        **Request body fields:**

        - `integration_id` (string, required) - e.g. `hubspot`, `salesforce`.

        - `account_id` (string, required) - Account to associate the integration
        with.

        - `config` (object, optional) - Provider-specific configuration
        key/value pairs.
      tags:
        - subpackage_integrations
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
        - name: X-API-KEY
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Integrations_Create
                  integration_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                integration:
                  $ref: >-
                    #/components/schemas/RestAccountsAccountIdIntegrationsPostRequestBodyContentApplicationJsonSchemaIntegration
              required:
                - integration
servers:
  - url: https://alsona.com
components:
  schemas:
    RestAccountsAccountIdIntegrationsPostRequestBodyContentApplicationJsonSchemaIntegration:
      type: object
      properties:
        status:
          type: string
        account_id:
          type: string
        integration_id:
          type: string
      required:
        - status
        - account_id
        - integration_id
      title: >-
        RestAccountsAccountIdIntegrationsPostRequestBodyContentApplicationJsonSchemaIntegration
    Integrations_Create integration_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Integrations_Create integration_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

```

## SDK Code Examples

```python
import requests

url = "https://alsona.com/rest/accounts/account_id/integrations"

payload = { "integration": {
        "status": "ENABLED",
        "account_id": "{{account_id}}",
        "integration_id": "{{integration_id}}"
    } }
headers = {
    "X-API-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://alsona.com/rest/accounts/account_id/integrations';
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"integration":{"status":"ENABLED","account_id":"{{account_id}}","integration_id":"{{integration_id}}"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://alsona.com/rest/accounts/account_id/integrations"

	payload := strings.NewReader("{\n  \"integration\": {\n    \"status\": \"ENABLED\",\n    \"account_id\": \"{{account_id}}\",\n    \"integration_id\": \"{{integration_id}}\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://alsona.com/rest/accounts/account_id/integrations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration\": {\n    \"status\": \"ENABLED\",\n    \"account_id\": \"{{account_id}}\",\n    \"integration_id\": \"{{integration_id}}\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://alsona.com/rest/accounts/account_id/integrations")
  .header("X-API-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration\": {\n    \"status\": \"ENABLED\",\n    \"account_id\": \"{{account_id}}\",\n    \"integration_id\": \"{{integration_id}}\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://alsona.com/rest/accounts/account_id/integrations', [
  'body' => '{
  "integration": {
    "status": "ENABLED",
    "account_id": "{{account_id}}",
    "integration_id": "{{integration_id}}"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://alsona.com/rest/accounts/account_id/integrations");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration\": {\n    \"status\": \"ENABLED\",\n    \"account_id\": \"{{account_id}}\",\n    \"integration_id\": \"{{integration_id}}\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["integration": [
    "status": "ENABLED",
    "account_id": "{{account_id}}",
    "integration_id": "{{integration_id}}"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://alsona.com/rest/accounts/account_id/integrations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```